#include "color.h"

namespace oglclass
{

const color color::White(1.0, 1.0, 1.0, 1.0);
const color color::Black(0.0, 0.0, 0.0, 1.0);

const color color::Red(1.0, 0.0, 0.0, 1.0);
const color color::Green(0.0, 1.0, 0.0, 1.0);
const color color::Blue(0.0, 0.0, 1.0, 1.0);
const color color::Cyan(0.0, 1.0, 1.0, 1.0);
const color color::Magenta(1.0, 0.0, 1.0, 1.0);
const color color::Yellow(1.0, 1.0, 0.0, 1.0);

const color color::Grey10(0.1, 0.1, 0.1, 1.0);
const color color::Grey20(0.2, 0.2, 0.2, 1.0);
const color color::Grey30(0.3, 0.3, 0.3, 1.0);
const color color::Grey40(0.4, 0.4, 0.4, 1.0);
const color color::Grey50(0.5, 0.5, 0.5, 1.0);
const color color::Grey60(0.6, 0.6, 0.6, 1.0);
const color color::Grey70(0.7, 0.7, 0.7, 1.0);
const color color::Grey80(0.8, 0.8, 0.8, 1.0);
const color color::Grey90(0.9, 0.9, 0.9, 1.0);

color::color(void) : vector4(0.0, 0.0, 0.0, 1.0)
{
}


color::color(float r, float g, float b, float a) : vector4(r, g, b, a)
{
}


void color::apply(void) const
{
	glColor4fv(vec);
}

} // namespace
