#ifndef __TEXTURE1D_H__
#define __TEXTURE1D_H__

#include <windows.h>
#include <GL/gl.h>
#include "texture.h"

namespace oglclass
{

class texture1D : public texture
{
    public:
        texture1D(char *filename=0, GLint wrap=GL_REPEAT, GLint min=GL_LINEAR, GLint mag=GL_LINEAR);
        virtual ~texture1D(void);
        virtual void enable(void);
        virtual void disable(void);
        void define(void);
        
    private:
        unsigned char * imageData_;
        unsigned char * rescaledImageData_;
        GLuint textureID_;
        int width_, height_, numComponents_;
		GLenum type_;
        bool defined_;
        bool createdImage_;
};

} // namespace

#endif
