#ifndef __COLOR_H__
#define __COLOR_H__

#include <windows.h>
#include <GL/gl.h>
#include "vector4.h"

namespace oglclass
{

class color : public vector4
{
public:
	color(void);
	color(float r, float g, float b, float a);
	void apply(void) const;

	static const color White;
	static const color Black;
	static const color Red;
	static const color Green;
	static const color Blue;
	static const color Cyan;
	static const color Magenta;
	static const color Yellow;
	static const color Grey10;
	static const color Grey20;
	static const color Grey30;
	static const color Grey40;
	static const color Grey50;
	static const color Grey60;
	static const color Grey70;
	static const color Grey80;
	static const color Grey90;
};

}

#endif
