#ifndef __OGLCLASS_H__
#define __OGLCLASS_H__

#include "vector3.h"
#include "vector4.h"
#include "matrix4x4.h"
#include "plane.h"

#include "transform.h"
#include "camera.h"

#include "node.h"
#include "geometry.h"

#include "color.h"
#include "material.h"
#include "light.h"

#include "texture.h"
#include "texture1D.h"
#include "texture2D.h"

#include "font.h"			// text font 
#include "obj.h"			// obj model loader
#include "sound.h"			    // openal sound
#endif
