#pragma once

#include "Framework.h"
//#include <vector>
//using namespace std;

#define MAX_NUM 20
class sound
{
public:
    sound(void);
    ~sound(void);
    bool init(void);
    void cleanup(void);
    void setListner(ALfloat * pos, ALfloat * vel, ALfloat * ori);
    void setSoundSources(char * filename, ALfloat * pos, ALfloat * vel, ALboolean loop);
    void play(int index);
    void stop(int index);

private:

    typedef struct soundSource {
        ALuint uiBuffer;
        ALuint uiSource;
        //ALfloat sourcePos[3];
        //ALfloat sourceVel[3];
    };
    soundSource sources[MAX_NUM];

    ALuint uiBuffers[MAX_NUM];
    ALuint uiSources[MAX_NUM];
    static int numSounds;
};
