#include "texture.h"

namespace oglclass
{

texture::texture(int wrap, int min, int mag)
{
    setMinFilter(min);
    setMagFilter(mag);
    setWrap(wrap);
}

texture::~texture(void)
{
}

void texture::setMinFilter(int v)
{
    minFilter_ = v;
}

void texture::setMagFilter(int v)
{
    magFilter_ = v;
}

void texture::setWrapS(int v)
{
    wrapS_ = v;
}

void texture::setWrapT(int v)
{
    wrapT_ = v;
}

void texture::setWrapR(int v)
{
    wrapR_ = v;
}


} // namespace
